import { CertificateProvider } from '../../enums/certificate-provider.enum';
import { ICertificateProvider } from '../../interfaces/certificate-provider.interface';
import { CertificateProviderRegistration } from '../tokens';
export declare class CertificateProviderFactory {
    private readonly logger;
    private readonly registry;
    constructor(registrations: CertificateProviderRegistration | CertificateProviderRegistration[] | null);
    getCertificateProvider(provider: CertificateProvider): ICertificateProvider | null;
    getCertificateProviderOrFail(provider: CertificateProvider): ICertificateProvider;
    getSupportedProviders(): CertificateProvider[];
}
